Bug 447030 - Hyperlinks from KDE4 do not open correctly in Firefox
Hyperlinks from KDE4 do not open correctly in Firefox
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 00:23 EDT by Peter Gückel
Modified: 2008-07-26 01:58 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.0.5-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 00:37:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gückel 2008-05-17 00:23:44 EDT
Description of problem:
When one right-clicks a hyperlink in an email, klipper opens a contect menu,
offering to open the link in firefox. Selection this, however, does absolutely
nothing. Right-clicking a link in akregator also opens a context menu, one entry
being open in external browser. In this case, firefox opens (a new window, if
one is already open), and the link is opened in two tabs simultaneously.

Version-Release number of selected component (if applicable):
it is a component of kde-4.0.4

How reproducible:
It always happens.

Steps to Reproduce:
1.Right-click on a link and select one of the aforementioned options in the
context menu.
2.If link is in an email, klipper takes over and nothing happens.
3.If link is in akregator, a browser window opens and the link is opened twice.
  
Actual results:
As described.

Expected results:
Firefox should open a window and the link should open in one tab (not two). If
firefox is already open, a new tab in the existing window should be used.

Additional info:
None comes to mind.
Comment 1 Kevin Kofler 2008-05-17 02:59:28 EDT
Klipper is in kdebase-workspace.
Comment 2 Steven M. Parrish 2008-05-17 17:20:45 EDT
Checked upstream and could not find a matching bug report.  Please file upstream
at bugs.kde.org and update this report with the information.  Will monitor the
upstream report for updates.
Comment 3 Kevin Kofler 2008-05-17 22:49:44 EDT
Yeah, but which upstream? How can we be sure it's not Firefox's fault?
Comment 4 Rex Dieter 2008-05-18 10:07:57 EDT
I can confirm the problem.  Wierd thing is... it was working just fine for me
until *very* recently. ??
Comment 5 Ngo Than 2008-05-21 08:17:58 EDT
it's fixed in kdebase-workspace-4.0.4-5.fc9, could you please try test the new  
package? thanks
Comment 6 Rex Dieter 2008-05-21 08:52:28 EDT
Initial tests aren't good, all I'm seeing is klipper crashing.
Comment 7 Rex Dieter 2008-05-21 09:04:50 EDT
More info:
select URL
klipper pops up: select open in firefox
nothing seems to happen (?)
select open in firefox again
crash
Comment 8 Ngo Than 2008-05-21 09:31:39 EDT
could you please make sure that your local setting klipperrc is removed before 
you test it? It works fine for me here. i cannor reproduce this problem with 
the new package
Comment 9 Rex Dieter 2008-05-21 09:53:24 EDT
did the trick! thx, though I had to (re)enable "Actions Enabled" option, which
defaulted to off.
Comment 10 Fedora Update System 2008-05-21 10:16:54 EDT
kdebase-workspace-4.0.4-5.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-05-22 16:38:14 EDT
kdebase-workspace-4.0.4-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-workspace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4369
Comment 12 Fedora Update System 2008-06-04 21:31:32 EDT
kdenetwork-4.0.5-2.fc9,kdebase-runtime-4.0.5-1.fc9,kdemultimedia-4.0.5-1.fc9,kdebase-workspace-4.0.5-1.fc9,kdeadmin-4.0.5-1.fc9,kdeutils-4.0.5-1.fc9,kdesdk-4.0.5-2.fc9,kdelibs-4.0.5-1.fc9,kdegames-4.0.5-1.fc9,kdeaccessibility-4.0.5-1.fc9,kdepimlibs-4.0.5-1.fc9,kde-l10n-4.0.5-1.fc9,kdeedu-4.0.5-1.fc9,kdebase-4.0.5-2.fc9,kdeartwork-4.0.5-2.fc9,qt-4.3.5-1.fc9,kdebindings-4.0.5-2.fc9,kdetoys-4.0.5-1.fc9,kdegraphics-4.0.5-1.fc9 has been submitted as an update for Fedora 9
Comment 13 Fedora Update System 2008-06-11 00:37:19 EDT
kdeutils-4.0.5-1.fc9, kdelibs-4.0.5-2.fc9, kdebase-4.0.5-3.fc9, kdeaccessibility-4.0.5-1.fc9, kdeartwork-4.0.5-2.fc9, kdenetwork-4.0.5-3.fc9, kdebase-workspace-4.0.5-1.fc9, kde-l10n-4.0.5-1.fc9, kdeedu-4.0.5-1.fc9, kdetoys-4.0.5-1.fc9, kdemultimedia-4.0.5-1.fc9, kdebase-runtime-4.0.5-2.fc9, kdeadmin-4.0.5-1.fc9, kdesdk-4.0.5-2.fc9, qt-4.3.5-1.fc9, kdegraphics-4.0.5-1.fc9, kdegames-4.0.5-1.fc9, kdepimlibs-4.0.5-1.fc9, kdebindings-4.0.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-07-26 01:58:42 EDT
kdeutils-4.0.5-1.fc9, kdelibs-4.0.5-2.fc9, kdebase-4.0.5-3.fc9, kdeaccessibility-4.0.5-1.fc9, kdeartwork-4.0.5-2.fc9, kdenetwork-4.0.5-3.fc9, kdebase-workspace-4.0.5-1.fc9, kde-l10n-4.0.5-1.fc9, kdeedu-4.0.5-1.fc9, kdetoys-4.0.5-1.fc9, kdemultimedia-4.0.5-1.fc9, kdebase-runtime-4.0.5-2.fc9, kdeadmin-4.0.5-1.fc9, kdesdk-4.0.5-2.fc9, qt-4.3.5-1.fc9, kdegraphics-4.0.5-1.fc9, kdegames-4.0.5-1.fc9, kdepimlibs-4.0.5-1.fc9, kdebindings-4.0.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.